#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

OPTIONS="{{ node_exporter_service_conf | join(' \\\n  ') }} \
{% for collector in node_exporter_collector %}
{%   if not collector is mapping %}
  --collector.{{ collector }} \
{%   else %}
{%     set name, options = (collector.items()|list)[0] %}
  --collector.{{ name }} \
{%     for k,v in options|dictsort %}
  --collector.{{ name }}.{{ k }}{% if v != true %}={{ v }}{% endif %} \
{%     endfor %}
{%   endif %}
{% endfor %}
"
